diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index 0fca4584d..2d2db1b10 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "smtp.h"
diff --git a/src/src/transports/smtp.h b/src/src/transports/smtp.h
index 319e8494e..8793ece4f 100644
--- a/src/src/transports/smtp.h
+++ b/src/src/transports/smtp.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #define DELIVER_BUFFER_SIZE 4096
 
diff --git a/src/src/transports/smtp_socks.c b/src/src/transports/smtp_socks.c
index 0e58732c6..353a69618 100644
--- a/src/src/transports/smtp_socks.c
+++ b/src/src/transports/smtp_socks.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2015 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* SOCKS version 5 proxy, client-mode */
 
diff --git a/src/src/transports/tf_maildir.c b/src/src/transports/tf_maildir.c
index 205ee41cb..925b8fac0 100644
--- a/src/src/transports/tf_maildir.c
+++ b/src/src/transports/tf_maildir.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions in support of the use of maildirsize files for handling quotas in
 maildir directories. Some of the rules are a bit baroque:
diff --git a/src/src/transports/tf_maildir.h b/src/src/transports/tf_maildir.h
index b3707b1a9..d314c3203 100644
--- a/src/src/transports/tf_maildir.h
+++ b/src/src/transports/tf_maildir.h
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Header file for the functions that are used to support the use of
 maildirsize files for quota handling in maildir directories. */
diff --git a/src/src/tree.c b/src/src/tree.c
index bb8ad44db..e340d986a 100644
--- a/src/src/tree.c
+++ b/src/src/tree.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for maintaining binary balanced trees and some associated
 functions as well. */
diff --git a/src/src/utf8.c b/src/src/utf8.c
index bc7adb828..6604727ff 100644
--- a/src/src/utf8.c
+++ b/src/src/utf8.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) Jeremy Harris 2015 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "exim.h"
diff --git a/src/src/verify.c b/src/src/verify.c
index afc18d553..3a8914e38 100644
--- a/src/src/verify.c
+++ b/src/src/verify.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with verifying things. The original code for callout
 caching was contributed by Kevin Fleming (but I hacked it around a bit). */
diff --git a/src/src/version.c b/src/src/version.c
index 118ebbdf2..cbaaef24b 100644
--- a/src/src/version.c
+++ b/src/src/version.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2010 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Function for setting up the version string. */
 
diff --git a/src/util/chunking_fixqueue_finalnewlines.pl b/src/util/chunking_fixqueue_finalnewlines.pl
index 5dddfa505..b8ab17bd7 100755
--- a/src/util/chunking_fixqueue_finalnewlines.pl
+++ b/src/util/chunking_fixqueue_finalnewlines.pl
@@ -1,4 +1,5 @@
 #!/usr/bin/env perl
+# SPDX-License-Identifier: GPL-2.0-only
 
 use warnings;
 use strict;
diff --git a/src/util/cramtest.pl b/src/util/cramtest.pl
index 48f989a0c..a6124628b 100755
--- a/src/util/cramtest.pl
+++ b/src/util/cramtest.pl
@@ -1,4 +1,5 @@
 #!/usr/bin/perl
+# SPDX-License-Identifier: GPL-2.0-only
 
 # This script is contributed by Vadim Vygonets to aid in debugging CRAM-MD5
 # authentication.
diff --git a/src/util/gen_pkcs3.c b/src/util/gen_pkcs3.c
index 2fe9a6c5e..3ef3110de 100644
--- a/src/util/gen_pkcs3.c
+++ b/src/util/gen_pkcs3.c
@@ -2,6 +2,7 @@
  * Copyright (c) The Exim Maintainers 2021
  * This is distributed as part of Exim and licensed under the GPL.
  * See the file "NOTICE" for more details.
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Build with:
diff --git a/src/util/logargs.sh b/src/util/logargs.sh
index 87369a64b..814228d10 100755
--- a/src/util/logargs.sh
+++ b/src/util/logargs.sh
@@ -1,4 +1,5 @@
 #! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # This script can be interposed between a calling program and another
 # program, in order to log the arguments which are being used. This can
diff --git a/src/util/mkcdb.pl b/src/util/mkcdb.pl
index 691849dcd..e2b5931e7 100755
--- a/src/util/mkcdb.pl
+++ b/src/util/mkcdb.pl
@@ -1,4 +1,5 @@
 #!/usr/bin/perl -wT
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create cdb file from flat alias file. DPC: 15/10/98.
 # Args:      source  (may be relative or absolute)
diff --git a/src/util/ocsp_fetch.pl b/src/util/ocsp_fetch.pl
index 08ca4cbe4..2afbdbdac 100755
--- a/src/util/ocsp_fetch.pl
+++ b/src/util/ocsp_fetch.pl
@@ -1,6 +1,8 @@
 #!/usr/bin/perl
 # Copyright (C) 2012 Wizards Internet Ltd
 # License GPLv2: GNU GPL version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
+# SPDX-License-Identifier: GPL-2.0-only
+
 use strict;
 BEGIN { pop @INC if $INC[-1] eq '.' };
 use Getopt::Std;
diff --git a/src/util/proxy_protocol_client.pl b/src/util/proxy_protocol_client.pl
index 67a171d5d..8b4311b64 100644
--- a/src/util/proxy_protocol_client.pl
+++ b/src/util/proxy_protocol_client.pl
@@ -3,6 +3,7 @@
 # Copyright (C) 2014 Todd Lyons
 # License GPLv2: GNU GPL version 2
 # <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # This script emulates a proxy which uses Proxy Protocol to communicate
 # to a backend server.  It should be run from an IP which is configured
diff --git a/src/util/ratelimit.pl b/src/util/ratelimit.pl
index e212fa241..2ceeebbfa 100644
--- a/src/util/ratelimit.pl
+++ b/src/util/ratelimit.pl
@@ -1,4 +1,5 @@
 #!/usr/bin/perl -wT
+# SPDX-License-Identifier: GPL-2.0-only
 
 use strict;
 
diff --git a/src/util/renew-opendmarc-tlds.sh b/src/util/renew-opendmarc-tlds.sh
index 9967018e2..583dc0e40 100755
--- a/src/util/renew-opendmarc-tlds.sh
+++ b/src/util/renew-opendmarc-tlds.sh
@@ -1,4 +1,5 @@
 #!/bin/sh -eu
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Short version of this script:
 #   curl -f -o /var/cache/exim/opendmarc.tlds https://publicsuffix.org/list/public_suffix_list.dat
diff --git a/src/util/unknownuser.sh b/src/util/unknownuser.sh
index fe04dc6b1..01e617978 100755
--- a/src/util/unknownuser.sh
+++ b/src/util/unknownuser.sh
@@ -1,4 +1,5 @@
 #! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # This is a sample script for demonstrating how to handle unknown users in
 # a more friendly way than just returning a "user unknown" error. It can

